
%global meadversion 1.6.0
%global namedversion 1.6.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-common}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.6.0.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-common
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Common
Group:          Development/Java

%if %with mead
Source100: wildfly-common-1.6.0.Final-redhat-00001-project-sources.tar.gz
Source102: wildfly-common-1.6.0.Final-redhat-00001.pom
Source103: wildfly-common-1.6.0.Final-redhat-00001-javadoc.jar
Source104: wildfly-common-1.6.0.Final-redhat-00001.jar
Source105: wildfly-common-1.6.0.Final-redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/wildfly-common.git
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-common
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-common-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-common-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-common-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-common-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/wildfly-common-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-common-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-common-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-common
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/wildfly-common-%{namedversion}.jar
%{_javadir}/wildfly-common.jar
%if %with javadoc
%{_javadir}/wildfly-common-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-common-javadoc.jar
%endif
%{_javadir}/wildfly-common-%{namedversion}-sources.jar
%{_javadir}/wildfly-common-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-common-%{namedversion}
%{_javadocdir}/wildfly-common
%endif

%changelog
* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.6.0-3.Final_redhat_00001.1
- Built by CPaaS

* Wed Dec 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.6.0-2.Final_redhat_00001.1
- Built by CPaaS

* Tue May 31 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.6.0-1.Final_redhat_00001.1
Built by CPaaS

